Bug 841974 - search query misses some bugs
search query misses some bugs
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 13:50 EDT by Dave Jones
Modified: 2015-01-04 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-07 07:54:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2012-07-20 13:50:02 EDT
I have a search that shows me the bugs closed in the last week..

https://bugzilla.redhat.com/buglist.cgi?chfieldto=2012-07-20&query_format=advanced&chfieldfrom=2012-07-13&bug_status=CLOSED&version=17&component=kernel&classification=Fedora&product=Fedora&order=short_desc%2Cbug_id&list_id=319661

This missed a bunch of bugs that got filed and closed on the 20th, even though the search parameters show "is less than or equal to 2012-07-20".

https://bugzilla.redhat.com/show_bug.cgi?id=841778 is an example of a bug that should be in that list.

If I set the upper range of the search to the 21st, it picks them up.
It appears that the "or equal to" part of the query is being ignored.

Did I screw up the search query, or is this bugzilla bug ?
Comment 1 Simon Green 2012-09-07 07:54:06 EDT
(In reply to comment #0)
> Did I screw up the search query, or is this bugzilla bug?

Two potential issues:

1) I know it is counter intuitive, but the date refers to midnight of the date, so you are saying before or equal to midnight of the date.
2) All queries are based on US/Eastern time regardless of what you have as your preferred timezone settings.

Note You need to log in before you can comment on or make changes to this bug.